%global momorel 1

%global thunarver 1.0.0
%define __libtoolize :

Name:           thunar-volman
Version:        0.3.80
Release:        %{momorel}m%{?dist}
Summary:        Automatic management of removable drives and media for the Thunar file manager
Group:          User Interface/Desktops
License:        GPL
URL:            http://foo-projects.org/~benny/projects/thunar-volman/
Source0:        http://goodies.xfce.org/releases/thunar-volman/%{name}-%{version}.tar.bz2
NoSource:	0

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  Thunar-devel >= %{thunarver}
BuildRequires:  hal-devel >= 0.5.0
BuildRequires:  dbus-glib-devel >= 0.34
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
Requires:       Thunar >= %{thunarver}

%description
The Thunar Volume Manager is an extension for the Thunar file manager, which 
enables automatic management of removable drives and media. For example, if 
thunar-volman is installed and configured properly, and you plug in your 
digital camera, it will automatically launch your preferred photo application 
and import the new pictures from the camera into your photo collection.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT transform='s,x,x,'
%find_lang %{name}

# revise dektop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-only-show-in XFCE \
  %{buildroot}%{_datadir}/applications/thunar-volman-settings.desktop

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/thunar-volman
%{_datadir}/icons/hicolor/48x48/apps/tvm-*.png
%{_datadir}/icons/hicolor/scalable/apps/tvm-*.svg
%{_datadir}/applications/thunar-volman-settings.desktop
%{_libexecdir}/thunar-volman-settings

%changelog
* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.80-1m)
- update
- rebuild against xfce4-4.6.0

* Tue Feb 24 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-4m)
- revise desktop file, add OnlyShowIn=XFCE; to thunar-volman-settings.desktop

* Wed Jan 21 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.0-3m)
- do not use libtiilize on configure

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.0-2m)
- rebuild against rpm-4.6

* Sat Jun 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.0-1m)
- update to 0.2.0
- use NoSource

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.2-3m)
- rebuild against gcc43

* Tue Dec  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.2-2m)
- rebuild against xfce4 4.4.2

* Fri Apr 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.2-1m)
- import from fc-devel to Momonga
- add transform='s,x,x,' at install
 
* Sun Jan 21 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.2-1
- Update to 0.1.2.

* Wed Jan 17 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.0-1
- Initial packaging.
